package ru.yandex.webmaster3.viewer.http.searchquery.regions;

import com.fasterxml.jackson.annotation.JsonIgnore;

import java.util.List;

public class RegionView {
    private final int regionId;
    private final boolean haveChildren;
    private final boolean haveData;
    private final List<RegionView> children;

    public RegionView(int regionId, boolean haveChildren, boolean haveData, List<RegionView> children) {
        this.regionId = regionId;
        this.haveChildren = haveChildren;
        this.haveData = haveData;
        this.children = children;
    }

    public boolean isHaveChildren() {
        return haveChildren;
    }

    public int getRegionId() {
        return regionId;
    }

    public boolean isHaveData() {
        return haveData;
    }

    public List<RegionView> getChildren() {
        return children;
    }
}